module CrystallographyBase

using Functors: @functor
using LinearAlgebra: det
using StaticArrays: SVector, SMatrix

import LinearAlgebra: dot, norm
import Spglib: basis_vectors

include("lattice.jl")
include("reciprocal.jl")
include("miller.jl")
include("metric.jl")
include("volume.jl")
include("transform.jl")

end
